LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTreeExpansionListener Interface Reference

An instance of this interface can get notifications from a TreeControl when nodes are expanded or collapsed. More...

`import"XTreeExpansionListener.idl";`

Inheritance diagram for XTreeExpansionListener:

## Public Member Functions
void | requestChildNodes ([in] TreeExpansionEvent Event)
| Invoked when a node with children on demand is about to be expanded. More...
void | treeExpanding ([in] TreeExpansionEvent Event) raises ( ExpandVetoException )
| Invoked whenever a node in the tree is about to be expanded. More...
void | treeCollapsing ([in] TreeExpansionEvent Event) raises ( ExpandVetoException )
| Invoked whenever a node in the tree is about to be collapsed. More...
void | treeExpanded ([in] TreeExpansionEvent Event)
| Called whenever a node in the tree has been successfully expanded. More...
void | treeCollapsed ([in] TreeExpansionEvent Event)
| Called whenever a node in the tree has been successfully collapsed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An instance of this interface can get notifications from a TreeControl when nodes are expanded or collapsed.

See also
  XTreeControl::addTreeExpansionListener
  XTreeControl::removeTreeExpansionListener

## Member Function Documentation

## ◆ requestChildNodes()

void requestChildNodes | ( | [in] TreeExpansionEvent | Event | ) |

Invoked when a node with children on demand is about to be expanded.

This event is invoked before the treeExpanding() event.

## ◆ treeCollapsed()

void treeCollapsed | ( | [in] TreeExpansionEvent | Event | ) |

Called whenever a node in the tree has been successfully collapsed.

## ◆ treeCollapsing()

void treeCollapsing | ( | [in] TreeExpansionEvent | Event | ) |
raises | ( | ExpandVetoException
| ) |  |

Invoked whenever a node in the tree is about to be collapsed.

Exceptions

  ExpandVetoException | to notify the calling XTreeControl that collapsing TreeExpansionEvent::Node should fail.

## ◆ treeExpanded()

void treeExpanded | ( | [in] TreeExpansionEvent | Event | ) |

Called whenever a node in the tree has been successfully expanded.

## ◆ treeExpanding()

void treeExpanding | ( | [in] TreeExpansionEvent | Event | ) |
raises | ( | ExpandVetoException
| ) |  |

Invoked whenever a node in the tree is about to be expanded.

Exceptions

  ExpandVetoException | to notify the calling XTreeControl that expanding TreeExpansionEvent::Node should fail.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tree/XTreeExpansionListener.idl